Pular para o conteúdo principal
GET
/
v2
/
enterprise
/
members
Endpoint de membros da Enterprise
curl --request GET \
  --url https://api.devin.ai/v2/enterprise/members \
  --header 'Authorization: Bearer <token>'
{
  "has_more": true,
  "items": [
    {
      "created_at": "2023-11-07T05:31:56Z",
      "email": "<string>",
      "enterprise_role": "<string>",
      "name": "<string>",
      "user_id": "<string>",
      "last_login": "2023-11-07T05:31:56Z",
      "login_count": 123,
      "saml_id": "<string>",
      "searches_created_count": 0,
      "sessions_created_count": 0
    }
  ],
  "limit": 123,
  "skip": 123,
  "total": 123,
  "next_cursor": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.devin.ai/llms.txt

Use this file to discover all available pages before exploring further.

Requer uma chave de API pessoal de administrador da Enterprise. Retorna uma lista paginada de todos os membros da sua Enterprise, incluindo suas informações básicas e função na Enterprise.

Autorizações

Authorization
string
header
obrigatório

Chave de API pessoal (apk_user_*) somente para administradores do Enterprise

Parâmetros de consulta

skip
integer
padrão:0
Intervalo obrigatório: x >= 0
limit
integer
padrão:100
Intervalo obrigatório: 1 <= x <= 200
email
string | null

Resposta

Resposta bem-sucedida

has_more
boolean
obrigatório
items
EnterpriseUserResponse · object[]
obrigatório
limit
integer
obrigatório
skip
integer
obrigatório
total
integer
obrigatório
next_cursor
integer | null